
bl_info = {
    "name": "Volume Preserving Smoothing",
    "description": "Volume preserving Smoothing",
    "author": "Bartosz Styperek",
    "version": (2, 7, 0),
    "blender": (3, 6, 0),
    "location": "In Mesh Edit Mode: W-key -> Volume Smooth. Or use Volume Smooth tool from left tool sidebar ",
    "warning": "",
    "tracker_url": "https://discord.gg/cxZDbqH",
    "Category": "Mesh",
}

if "bpy" in locals():
    import importlib
    importlib.reload(vps_prefs)
    importlib.reload(volume_preserve_smoothing)
    importlib.reload(update_addon)
    importlib.reload(smooth_tool)

else:
    from . import vps_prefs
    from . import volume_preserve_smoothing
    from . import update_addon
    from . import smooth_tool

import bpy

from . import auto_load
auto_load.init()




def smooth_menu_last(self, context):
    layout = self.layout
    layout.separator()
    layout.menu('VPS_MT_SmoothMenu')

def register():
    bpy.types.Scene.vps_gizmo_show = bpy.props.BoolProperty(default = True)
    auto_load.register()
    print("Registered Volume Preserving Smoothing")
    addon_prefs = update_addon.get_addon_preferences()
    if addon_prefs:
        addon_prefs.update_text = ''
    bpy.types.VIEW3D_MT_edit_mesh_context_menu.append(smooth_menu_last)
    bpy.types.VIEW3D_MT_edit_mesh_vertices.append(smooth_menu_last)
    bpy.utils.register_tool(smooth_tool.ToolVpsSmooting, after={"builtin.smooth"}, separator=True, group=True)


def unregister():
    bpy.utils.unregister_tool(smooth_tool.ToolVpsSmooting)
    bpy.types.VIEW3D_MT_edit_mesh_context_menu.remove(smooth_menu_last)
    bpy.types.VIEW3D_MT_edit_mesh_vertices.remove(smooth_menu_last)
    auto_load.unregister()
    print("Unregistered Volume Preserving Smoothing")
    del bpy.types.Scene.vps_gizmo_show


if __name__ == "__main__":
    register()
